<?xml version="1.0"?>
<tryton>
    <data>
                <!--Patient Ambulatory Care -->
        <record model="ir.ui.view" id="gnuhealth_patient_ambulatory_care_view">
            <field name="model">gnuhealth.patient.ambulatory_care</field>
            <field name="inherit" ref="health_nursing.gnuhealth_patient_ambulatory_care_view"/>
            <field name="name">gnuhealth_patient_ambulatory_care_form</field>
        </record>

                <!--NURSING PROCEDURES View -->
        <record model="ir.ui.view" id="n_procedures_view_form">
            <field name="model">gnuhealth.n_procedure</field>
            <field name="type">form</field>
            <field name="name">nursing_procedures_form</field>
        </record>

       <record model="ir.ui.view" id="n_procedures_view_list">                               
            <field name="model">gnuhealth.n_procedure</field>
            <field name="type">tree</field>
            <field name="name">nursing_procedures_tree</field>
        </record>
        <record model="ir.action.act_window" id="act_n_procedures">
            <field name="name">Procedimientos Enfermeria</field>
            <field name="res_model">gnuhealth.n_procedure</field>
        </record>

        <record model="ir.action.act_window.view" id="act_n_procedures_tree">
            <field name="sequence" eval="10"/>
            <field name="view" ref="n_procedures_view_list"/>
            <field name="act_window" ref="act_n_procedures"/>
        </record>

        <record model="ir.action.act_window.view" id="act_n_procedures_form">
            <field name="sequence" eval="20"/>
            <field name="view" ref="n_procedures_view_form"/>
            <field name="act_window" ref="act_n_procedures"/>
        </record>
        
        <menuitem action="act_n_procedures"
            id="menu_gnuhealth_n_procedure_list" icon="gnuhealth-list"
            sequence="10" parent="health.gnuhealth_conf_procedure"/>
        
        <!--   Shorcut on patient    -->
        
        <record model="ir.action.act_window" id="act_nursing_ambulatory_care">
            <field name="name">Nursing - Ambulatory Care</field>
            <field name="res_model">gnuhealth.patient.ambulatory_care</field>
            <field name="domain" eval="[('patient', '=', Eval('active_id'))]" pyson="1"/>
        </record>

        <record model="ir.action.keyword" id="act_open_nursing_ambulatory_care_keyword1">
            <field name="keyword">form_relate</field>
            <field name="model">gnuhealth.patient,-1</field>
            <field name="action" ref="act_nursing_ambulatory_care"/>
        </record>
        
    </data>
</tryton>
 
